## wmbiff 0.2

=== wmbiff/Makefile ===
prefix=
BIN=/usr/X11R6/bin
CONF=/etc
LIBDIR = -L/usr/X11R6/lib
LIBS   = -lXpm -lXext -lX11
CFLAGS = -O2 -Wall
OBJS =	wmbiff.o Pop3Client.o \
	../wmgeneral/wmgeneral.o \
	../wmgeneral/misc.o \
	../wmgeneral/list.o


.c.o:
	cc -I/usr/X11R6/share/include $(CFLAGS) -c -Wall $< -o $*.o

wmbiff: $(OBJS)
	cc $(CFLAGS) -o wmbiff $^ $(LIBDIR) $(LIBS)
	strip wmbiff

all:: wmbiff

clean::
	for i in $(OBJS) ; do \
		rm -f $$i ; \
	done
	rm -f wmbiff *~ tags

install:: wmbiff
	cp -f wmbiff $(prefix)$(BIN)/
	chmod 755 $(prefix)$(BIN)/wmbiff

## wmbiff 0.3.8

=== wmbiff/Makefile ===
# Makefile for wmbiff
#
# $Id: Makefile,v 1.28 2002/03/26 16:30:32 jordi Exp $

# Disable gnutls crypto?
#WITHOUT_CRYPTO=	1

# Use external GNU regexp lib?
#EXT_GNU_REGEX_LIB=1

# Use debugging?
#DEBUG=		1

PREFIX?=	/usr/local
BINDIR?=	$(PREFIX)/bin
MANDIR?=	$(PREFIX)/share/man

CC?=		gcc
LIBDIR?=	-L/usr/X11R6/lib
LIBS=		-lXpm -lXext -lX11
CFLAGS?=	-O2 -Wall -Wpointer-arith

###########################################################
# Nothing below here should need to be changed
###########################################################

WMBIFF_VERSION=	"0.3.8"
EXTRAFLAGS=	-DWMBIFF_VERSION='$(WMBIFF_VERSION)' 

# Default linux owners
INSTALL_USER=	root
INSTALL_GROUP=	root

# Debugging
ifdef DEBUG
CFLAGS=		-g -Wall -Wpointer-arith -Wwrite-strings \
-W -Wtraditional -Wshadow -Wcast-qual
#-pedantic  -Wmissing-noreturn
endif

# FreeBSD overrides
ifeq ($(OSTYPE),FreeBSD)
INSTALL_GROUP=	wheel
EXT_GNU_REGEX_LIB=1
CFLAGS+=	-I/usr/X11R6/include/
endif

# External GNU RegExp lib... needed on FreeBSD
ifdef EXT_GNU_REGEX_LIB
LIBS+=		-lgnuregex
CFLAGS+=	-DEXT_GNU_REGEX_LIB
endif

# Crypto support
ifndef WITHOUT_CRYPTO
EXTRAFLAGS+=	-DWITH_TLS -DWITH_GCRYPT
LIBS+=		-lgnutls -lgcrypt
endif

INSTALL?=	/usr/bin/install
INSTALL_DIR?=	$(INSTALL) -d -o $(INSTALL_USER) -g $(INSTALL_GROUP) -m 755
INSTALL_PRG?=	$(INSTALL) -p -o $(INSTALL_USER) -g $(INSTALL_GROUP) -m 755 -s
INSTALL_FILE?=	$(INSTALL) -p -o $(INSTALL_USER) -g $(INSTALL_GROUP) -m 644

# For malloc debug :
#CFLAGS	+= -DUSE_DMALLOC
#LIBS	+= -ldmalloc


###########################################################
# Real make stuff begins :
###########################################################

OBJS =	wmbiff.o socket.o \
	Pop3Client.o LicqClient.o mboxClient.o \
	maildirClient.o Imap4Client.o tlsComm.o \
	ShellClient.o \
	../wmgeneral/wmgeneral.o \
	../wmgeneral/misc.o \
	../wmgeneral/list.o \
	charutil.o

all: wmbiff

Imap4Client.o: Imap4Client.c Client.h Makefile
Pop3Client.o: Pop3Client.c Client.h Makefile
wmbiff.o: wmbiff-master.xpm wmbiff.c Client.h

.c.o:
	$(CC) $(CFLAGS) $(EXTRAFLAGS) -c $< -o $*.o

wmbiff-master.xpm:
	ln -s wmbiff-master-led.xpm wmbiff-master.xpm

wmbiff: $(OBJS)
	$(CC) $(CFLAGS) $(EXTRAFLAGS) -o wmbiff $^ $(LIBDIR) $(LIBS)

clean:
	for i in $(OBJS) ; do \
		rm -f $$i ; \
	done
	rm -f wmbiff *~ tags core wmbiff-master.xpm

distclean: clean

install: wmbiff
	$(INSTALL_DIR) $(BINDIR)
	$(INSTALL_DIR) $(MANDIR)/man1
	$(INSTALL_DIR) $(MANDIR)/man5
	$(INSTALL_PRG) wmbiff $(BINDIR)
	$(INSTALL_FILE) wmbiff.1 $(MANDIR)/man1
	$(INSTALL_FILE) wmbiffrc.5 $(MANDIR)/man5

# CODING STYLE AND INDENTATION [2001-Mar-12]:
#
# There have been some problems with coding style in the past.  Many people
# contributed to wmbiff (thank you!), and the code got really messy.  To help
# resolve this, I used GNU indent with what I believe to be the most
# widely-accepted coding style options (K&R style) with 4-space TAB indents
# (because some of the code is highly nested) to clean up the code.  Not
# everyone may be happy with this, but has been determined to be necessary for
# consistency and legibility.
#
# In other words, make sure you run "make clean" and "make indent", and do not
# change the options on the indent command, before you submit patches against
# wmbiff.  This will make everyone's life easier.
#
#	-- Dwayne C. Litzenberger <dlitz@dlitz.net>
indent:
	indent -npro -kr -i4 -ts4 *.[ch] || true

## wmbiff 0.4.27

=== debian/changelog ===
wmbiff (0.4.27-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * 20_gnutls_set_default_priority.diff: Use gnutls_set_default_priority()
    to get GnuTLS upstream's recommended default values (SSL/TLS versions,
    ciphers, et al.) instead of setting local defaults using the deprecated
    gnutls_cipher_set_priority/gnutls_protocol_set_priority/... functions.
    This fixes transmission errors to modern systems. Closes: #759259
    (Thanks to Nye Liu for debugging the issue and finding the solution.)

 -- Andreas Metzler <ametzler@debian.org>  Sun, 02 Nov 2014 08:04:00 +0100

wmbiff (0.4.27-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch to quilt v3 format.
  * 15_no_more_LZO.diff: Stop trying to use gnutls LZO compression, which was
    removed upstream. Closes: #638736
  * 16_gnutls_deprecated.diff: Pull parts of
    4e9e018b2236e00aa591f1d5d99ec59f74475480 from upstream GIT, use
    gnutls_certificate_verify_peers2() instead of
    gnutls_certificate_verify_peers(). Closes: #624083
  * 10_use_pkg-config.diff/11_autoconfgenchanges.diff:
    gnutls_certificate_verify_peers2() was added in gnutls 1.2.0, check for
    this version in ./configure.
  * Build against libgnutls28-dev/libgcrypt20-dev.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 09 Aug 2014 15:08:24 +0200

wmbiff (0.4.27-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Search for gnutls with pkg-config. Required for gnutls 2.8.
    Closes: #529915

 -- Andreas Metzler <ametzler@debian.org>  Sat, 21 Nov 2009 18:10:40 +0100

wmbiff (0.4.27-2) unstable; urgency=low

  * Use gnutls12 instead of gnutls11 (closes: #335773)

 -- Neil Spring <nspring@cs.washington.edu>  Tue,  3 Jan 2006 18:03:36 -0500

wmbiff (0.4.27-1) unstable; urgency=low

  * New upstream release.
    + Catches if a directory name is given for a config file (closes: #332540)
  * Remove xlibs-dev (transitional package) build dependency
  * Add libxpm-dev, libx11-dev, libxext-dev build dependencies

 -- Neil Spring <nspring@cs.washington.edu>  Sat,  8 Oct 2005 14:29:06 -0400

wmbiff (0.4.26-1) unstable; urgency=low

  * New upstream release. 
    + security.debian.rb initializes properly (closes: #256505)

 -- Neil Spring <nspring@cs.washington.edu>  Sun, 10 Oct 2004 17:36:10 -0700

wmbiff (0.4.25-3) unstable; urgency=low

  * Update dependencies to libgcrypt11 and libgnutls11. (closes: #263663)

 -- Neil Spring <nspring@cs.washington.edu>  Wed, 28 Jul 2004 23:04:10 -0700

wmbiff (0.4.25-2) unstable; urgency=low

  * Fix menu entry: quote unquoted strings 

 -- Neil Spring <nspring@cs.washington.edu>  Sat, 26 Jun 2004 11:31:38 -0700

wmbiff (0.4.25-1) unstable; urgency=low

  * New upstream release
    + Should fix a build error on s390.

 -- Neil Spring <nspring@cs.washington.edu>  Wed, 23 Jun 2004 15:02:38 -0700

wmbiff (0.4.24-1) unstable; urgency=low

  * New upstream release
    + Uses newer gnutls: now depends on libgnutls10

 -- Neil Spring <nspring@cs.washington.edu>  Tue, 22 Jun 2004 20:24:24 -0700

wmbiff (0.4.23-1) unstable; urgency=low

  * New upstream release
    + Support IP addresses in IMAP paths. (closes: #242458)

 -- Neil Spring <nspring@cs.washington.edu>  Tue, 27 Apr 2004 17:32:36 -0700

wmbiff (0.4.22-1) unstable; urgency=low

  * New upstream release
    + Only runs imap examine/search when msglst option requested, to 
      address bad flag handling on read-only mailboxes.
    + Exits if configured ssh-askpass is not found (closes: #239628)

 -- Neil Spring <nspring@cs.washington.edu>  Sat, 27 Mar 2004 16:50:01 -0800

wmbiff (0.4.21-1) unstable; urgency=low

  * New upstream release
    + Prevent a hang with certain IMAP servers (closes: #234011)

 -- Neil Spring <nspring@cs.washington.edu>  Sat, 21 Feb 2004 10:10:16 -0800

wmbiff (0.4.20-1) unstable; urgency=low

  * New upstream release
    + Allows different mouse-click actions when a box has new mail.
  * New maintainer (thanks, Jordi).

 -- Neil Spring <nspring@cs.washington.edu>  Thu,  1 Jan 2004 15:53:48 -0800

wmbiff (0.4.19-1) unstable; urgency=low

  * New upstream release 
    + fixes an FTBFS problem in a regression test (closes: #219787)

 -- Neil Spring <nspring@cs.washington.edu>  Sat,  8 Nov 2003 19:17:55 -0800

wmbiff (0.4.18-1) unstable; urgency=low

  * New upstream release.
    + fixes another (unreported to the BTS) infinite loop in the IMAP/TLS code.
    + update security.debian.rb for ruby1.8 (closes: #215122) 

 -- Neil Spring <nspring@cs.washington.edu>  Sat,  8 Nov 2003 14:25:29 -0800

wmbiff (0.4.17-1) unstable; urgency=low

  * New upstream release.
    + fixes an (unreported to the BTS) infinite loop in the TLS code.
  * debian/control: bump Standards-Version to 3.6.1.0.
  * debian/copyright: add Neil to list of authors. Whoops.
  * debian/changelog: recode to UTF-8 per new policy.

 -- Jordi Mallach <jordi@debian.org>  Mon,  1 Sep 2003 02:46:01 +0200

wmbiff (0.4.16-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + bump gnutls build-dependency to libgnutls7-dev.
    + bump debhelper build-dependency to 4.1.0 and add cdbs.
    + bump Standards-Version to 3.5.10.0 (no changes required).
    + add Neil Spring (upstream developer) to Uploaders, as he will probably
      take over this package soon.
  * debian/rules: repackage with cdbs.

 -- Jordi Mallach <jordi@debian.org>  Wed,  9 Jul 2003 17:27:26 +0200

wmbiff (0.4.15-1) unstable; urgency=low

  * New upstream release.
    + tries to detect missconfiguration, to avoid doing bad stuff with
      passwords (closes: #182875). This can't be fixed entirely without a
      configuration file format redesign, though.
    + fixes issues with -debug output (closes: #183529).
  * debian/control: Standards-Version: 3.5.9.0 (no changes).
  * debian/rules: pass DEB_BUILD_GNU_TYPE and DEB_HOST_GNU_TYPE to configure.

 -- Jordi Mallach <jordi@debian.org>  Mon, 31 Mar 2003 15:09:10 +0200

wmbiff (0.4.14-1) unstable; urgency=low



=== debian/control ===
Source: wmbiff
Section: x11
Priority: optional
Maintainer: Neil Spring <nspring@cs.washington.edu>
Uploaders: Jordi Mallach <jordi@debian.org>
Build-Depends: debhelper (>= 4.1.0), cdbs, libgnutls28-dev,
 libgcrypt20-dev, libxpm-dev, libxext-dev, libx11-dev, pkg-config
Standards-Version: 3.6.1.0

Package: wmbiff
Architecture: any
Depends: ${shlibs:Depends}
Suggests: ssh-askpass, ruby
Description: A dockable app that displays information about mailboxes
 WMBiff is an WindowMaker docking utility, that displays the
 number of read and unread messages in (usually) five
 mailboxes. You can also define actions to execute on new
 mail arrival (for example, play a sound file),
 [auto]fetchmail from a remote server, execute your mail
 reader with a mouse click, or list subject lines from unread
 messages. WMBiff also supports notification of incoming Licq
 messages, so you can put Licq in the background.
 .
 At this moment, wmbiff supports unix-style, maildir, pop3, APOP, IMAP
 and IMAPS mailboxes, as well as Licq and GnomeICU history files.
 .
 It also includes scripts to perform miscellaneous tasks. At
 the moment, these include a checker for Debian security updates.
 .
 wmbiff is similar to the wmmaiload package, but features an
 LED-style appearance, IMAPS support, and other minor differences.

=== debian/rules ===
#!/usr/bin/make -f
#
# CDBS-like debian/rules file for wmbiff.
# Currently, it needs no special flags.
#
# Copyright (C) 2003 Jordi Mallach <jordi@debian.org>,
# licensed under the terms of the GNU GPL.

include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk

=== debian/watch ===
version=2
http://prdownloads.sourceforge.net/wmbiff/wmbiff-(.*)\.tar.gz debian uupdate

## wmbiff 0.4.28

=== debian/changelog ===
wmbiff (0.4.28-2build1) xenial; urgency=medium

  * No-change rebuild for gnutls transition.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Feb 2016 22:28:38 +0000

wmbiff (0.4.28-2) unstable; urgency=medium

  * debian/control
    - Tidy up using wrap-and-sort.
    - Update Vcs-* fields.
    - Set Debian Window Maker Team as Maintainer; move myself to
      Uploaders with updated email address.
  * debian/copyright
    - Update email address.

 -- Doug Torrance <dtorrance@piedmont.edu>  Wed, 19 Aug 2015 23:11:11 -0400

wmbiff (0.4.28-1) unstable; urgency=medium

  * New upstream release.
    - Fix security.debian.rb script (Closes: #525749).
    - Fix connection leak (Closes: #663876).
    - Allow usernames with more than 32 characters (Closes: #626393).
    - Increase number of actions to 40 (Closes: #589408).
  * New maintainer (Closes: #767915).
  * debian/compat:
    - Bump to 9.
  * debian/control:
    - Bump versioned dependency on debhelper to >=9.
    - Bump Standards-Version to 3.9.6.
    - Add ${misc:Depends} to Depends.
    - Remove article from beginning of Description.
    - Add Homepage and Vcs-* fields.
    - Add dh-autoreconf to Build-Depends.
    - Remove cdbs from Build-Depends.
    - Remove Uploaders field.
    - Remove references to Licq and GnomeICU support in Description.
  * debian/copyright:
    - Convert to machine-readable format version 1.0.
  * debian/dirs:
    - Remove unnecessary file.
  * debian/docs:
    - Remove README.licq, which no longer exists.
  * debian/menu:
    - Update section.
  * debian/patches:
    - Remove directory; patches either applied upstream or not needed because of
      dh_autoreconf.
  * debian/rules:
    - Add get-orig-source target.
    - Update to use dh and dh_autoreconf.
    - Add nocheck to DEB_BUILD_OPTIONS; otherwise dh_auto_test sometimes fails.
  * debian/watch:
    - Bump to version 3; update with new location (Closes: #449774).

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Thu, 13 Nov 2014 21:48:26 -0600

=== debian/control ===
Source: wmbiff
Section: x11
Priority: optional
Maintainer: Debian Window Maker Team <pkg-wmaker-devel@lists.alioth.debian.org>
Uploaders: Doug Torrance <dtorrance@piedmont.edu>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               libgcrypt20-dev,
               libgnutls28-dev,
               libx11-dev,
               libxext-dev,
               libxpm-dev,
               pkg-config
Standards-Version: 3.9.6
Homepage: http://windowmaker.org/dockapps/?name=wmbiff
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-wmaker/wmbiff.git
Vcs-Git: https://anonscm.debian.org/git/pkg-wmaker/wmbiff.git

Package: wmbiff
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: ruby, ssh-askpass
Description: Dockable app that displays information about mailboxes
 WMBiff is an WindowMaker docking utility, that displays the
 number of read and unread messages in (usually) five
 mailboxes. You can also define actions to execute on new
 mail arrival (for example, play a sound file),
 [auto]fetchmail from a remote server, execute your mail
 reader with a mouse click, or list subject lines from unread
 messages.
 .
 At this moment, wmbiff supports unix-style, maildir, pop3, APOP, IMAP
 and IMAPS mailboxes.
 .
 It also includes scripts to perform miscellaneous tasks. At
 the moment, these include a checker for Debian security updates.
 .
 wmbiff is similar to the wmmaiload package, but features an
 LED-style appearance, IMAPS support, and other minor differences.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_OPTIONS += nocheck

%:
	dh $@ --with autoreconf

get-orig-source:
	uscan --verbose --force-download --no-symlink
	@if test -e ../wmbiff-*.download ; then \
		rename -f -v "s/wmbiff-(.+)\.download/wmbiff_\1\.orig\.tar\.gz/" \
			../wmbiff-*.download; \
	fi

=== debian/watch ===
version=3
http://windowmaker.org/dockapps/?name=wmbiff \?download=wmbiff-(.+).tar.gz

## wmbiff 0.4.30

=== debian/changelog ===
wmbiff (0.4.30-2) unstable; urgency=medium

  * debian/rules
    - Skip test_wmbiff on big endian archs; causes FTBFS.

 -- Doug Torrance <dtorrance@piedmont.edu>  Wed, 21 Dec 2016 04:37:26 -0500

wmbiff (0.4.30-1) unstable; urgency=medium

  * New upstream release.

 -- Doug Torrance <dtorrance@piedmont.edu>  Thu, 01 Dec 2016 07:41:59 -0500

wmbiff (0.4.29-1) unstable; urgency=medium

  * New upstream release.
    - Add missing command line options to documentation (Closes: #770117).
    - Call EXAMINE before STATUS (Closes: #830889).
  * debian/control
    - Bump Standards-Version to 3.9.8.
    - Update Homepage and Vcs-Browser.
  * debian/copyright
    - Update Source.
  * debian/rules
    - Use all hardening flags.
    - Append -Wl, --as-needed to LDFLAGS; fixes "useless dependency" warnings
      from dpkg-shlibdeps.
    - Remove nocheck option.  Instead, we specify the one test that does pass
      in new override_dh_auto_test target.
    - Remove get-orig-source target; no longer needed.
  * debian/watch
    - Bump to version 4 and update download location.

 -- Doug Torrance <dtorrance@piedmont.edu>  Wed, 20 Jul 2016 10:54:08 -0400

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
                libxext-dev,
                libxpm-dev,
                pkg-config
-Standards-Version: 3.9.6
-Homepage: http://windowmaker.org/dockapps/?name=wmbiff
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-wmaker/wmbiff.git
+Standards-Version: 3.9.8
+Homepage: http://www.dockapps.net/wmbiff
+Vcs-Browser: https://anonscm.debian.org/git/pkg-wmaker/wmbiff.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-wmaker/wmbiff.git
 
 Package: wmbiff

## wmbiff 0.4.31

=== debian/changelog ===
wmbiff (0.4.31-1) unstable; urgency=medium

  * New upstream release.
    - Manually copy mailbox path (Closes: #621690).
  * debian/control
    - Bump Standards-Version to 4.0.0.
  * debian/copyright
    - Use https in Format.

 -- Doug Torrance <dtorrance@piedmont.edu>  Sat, 24 Jun 2017 15:24:41 -0400

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                libxext-dev,
                libxpm-dev,
                pkg-config
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://www.dockapps.net/wmbiff
 Vcs-Browser: https://anonscm.debian.org/git/pkg-wmaker/wmbiff.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-wmaker/wmbiff.git

## wmbiff 0.4.35

=== debian/changelog ===
wmbiff (0.4.35-1) unstable; urgency=medium

  [ Yavor Doganov ]
  * debian/patches: (gnutls-detection.patch) Detect GNUTLS unconditionally
    (closes: #924010).

  [ Jeremy Sowden ]
  * New upstream version 0.4.35
    - Fixes for big-endian architectures (closes: #845081).
    - TLS SNI support (closes: #917993).
  * Re-enable test_wmbiff on big-endian architectures.
  * Added build-dep on debhelper-compat and removed debian/compat.
  * Added patch to remove security.debian.rb script (closes: #874781).
  * Added myself to uploaders.

  [ Andreas Metzler ]
  * Drop override_dh_auto_test override, test_tlscomm works again.
  * Checking DEB_HOST_ARCH_ENDIAN in debian/rules is not necessary anymore.
  * Standards-Version: 4.4.0 - no changes

 -- Jeremy Sowden <jeremy@azazel.net>  Sun, 28 Jul 2019 12:26:11 +0100

wmbiff (0.4.33-1) unstable; urgency=medium

  [ Doug Torrance ]
  * New upstream release
    - Handle GNUTLS_E_AGAIN (Closes: #917467).
  * debian/control
    - Update Vcs-* after migration to Salsa.
    - Bump Standards-Version to 4.3.0.

  [ Andreas Metzler ]
  * [lintian] Use https in watchfile and for upstream homepage.
  * Use dh v11 compat level, drop explicit b-d on dh-autoreconf.
  * Set Rules-Requires-Root: no.

 -- Doug Torrance <dtorrance@piedmont.edu>  Fri, 01 Mar 2019 21:46:45 -0500

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,19 @@
 Section: x11
 Priority: optional
 Maintainer: Debian Window Maker Team <pkg-wmaker-devel@lists.alioth.debian.org>
-Uploaders: Doug Torrance <dtorrance@piedmont.edu>
-Build-Depends: debhelper (>= 9),
-               dh-autoreconf,
+Uploaders: Doug Torrance <dtorrance@piedmont.edu>, Jeremy Sowden <jeremy@azazel.net>
+Build-Depends: debhelper-compat (= 12),
                libgcrypt20-dev,
                libgnutls28-dev,
                libx11-dev,
                libxext-dev,
                libxpm-dev,
                pkg-config
-Standards-Version: 4.0.0
-Homepage: http://www.dockapps.net/wmbiff
-Vcs-Browser: https://anonscm.debian.org/git/pkg-wmaker/wmbiff.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-wmaker/wmbiff.git
+Standards-Version: 4.4.0
+Rules-Requires-Root: no
+Homepage: https://www.dockapps.net/wmbiff
+Vcs-Browser: https://salsa.debian.org/wmaker-team/wmbiff
+Vcs-Git: https://salsa.debian.org/wmaker-team/wmbiff.git
 
 Package: wmbiff
 Architecture: any

## wmbiff 0.4.36

=== debian/changelog ===
wmbiff (0.4.36-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:31:58 +1100

wmbiff (0.4.36-2build1) noble; urgency=medium

  * No-change rebuild against libgnutls30t64.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 22 Mar 2024 10:49:11 +1300

wmbiff (0.4.36-2) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/changelog
    - Fix day-of-week for changelog entry 0.3.7-1.
  * debian/control
    - Bump debhelper from old 12 to 13.
  * debian/copyright
    - Use spaces rather than tabs to start continuation lines.
  * debian/rules
    - Avoid explicitly specifying -Wl,--as-needed linker flag.

  [ Doug Torrance ]
  * debian/control
    - Update Maintainer email address to use tracker.d.o.
    - Bump Standards-Version to 4.6.0.
    - Reformat using wrap-and-sort.
  * debian/copyright
    - Update upstream mailing list address.
  * debian/menu
    - Remove deprecated Debian menu file.
  * debian/patches/national-encoding.patch
    - New patch; convert AUTHORS from ISO-8859-1 to UTF-8.
  * debian/patches/remove_security_script.patch
    - Refresh.
  * debian/salsa-ci.yml
    - Add Salsa pipeline config file.
  * debian/upstream/metadata
    - Add DEP-12 upstream metadata file.

 -- Doug Torrance <dtorrance@piedmont.edu>  Tue, 12 Oct 2021 22:30:03 -0400

wmbiff (0.4.36-1) unstable; urgency=medium

  * New upstream version 0.4.36, fixing GCC-10 FTBFS. (closes: #957937).
  * Bump Standards-Version to 4.5.0.

 -- Jeremy Sowden <jeremy@azazel.net>  Sat, 18 Apr 2020 20:51:01 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: wmbiff
 Section: x11
 Priority: optional
-Maintainer: Debian Window Maker Team <pkg-wmaker-devel@lists.alioth.debian.org>
-Uploaders: Doug Torrance <dtorrance@piedmont.edu>, Jeremy Sowden <jeremy@azazel.net>
-Build-Depends: debhelper-compat (= 12),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Window Maker Team <team+wmaker@tracker.debian.org>
+Uploaders: Doug Torrance <dtorrance@piedmont.edu>,
+           Jeremy Sowden <jeremy@azazel.net>
+Build-Depends: debhelper-compat (= 13),
                libgcrypt20-dev,
                libgnutls28-dev,
                libx11-dev,
                libxext-dev,
                libxpm-dev,
                pkg-config
-Standards-Version: 4.4.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://www.dockapps.net/wmbiff
 Vcs-Browser: https://salsa.debian.org/wmaker-team/wmbiff

## wmbiff 0.4.37

=== debian/changelog ===
wmbiff (0.4.37-1) unstable; urgency=medium

  * New upstream version 0.4.37
  * d/patches
    - drop upstreamed one and refresh the rest
  * d/control
    - update Doug's and my e-mail addresses
    - bump Standards-Version to 4.7.0
    - update pkg-config build-dep to pkgconf

 -- Jeremy Sowden <azazel@debian.org>  Thu, 16 May 2024 23:15:45 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: wmbiff
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Window Maker Team <team+wmaker@tracker.debian.org>
-Uploaders: Doug Torrance <dtorrance@piedmont.edu>,
-           Jeremy Sowden <jeremy@azazel.net>
+Maintainer: Debian Window Maker Team <team+wmaker@tracker.debian.org>
+Uploaders: Doug Torrance <dtorrance@debian.org>,
+           Jeremy Sowden <azazel@debian.org>
 Build-Depends: debhelper-compat (= 13),
                libgcrypt20-dev,
                libgnutls28-dev,
                libx11-dev,
                libxext-dev,
                libxpm-dev,
-               pkg-config
-Standards-Version: 4.6.0
+               pkgconf
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://www.dockapps.net/wmbiff
 Vcs-Browser: https://salsa.debian.org/wmaker-team/wmbiff
